from flask_sqlalchemy import SQLAlchemy
import secrets

db = SQLAlchemy()

class Chat(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    chat_id = db.Column(db.Integer, unique=True, nullable=False)
    username = db.Column(db.String(), unique=True, nullable=True)
    token = db.Column(db.String(43), index=True, nullable=False)

    def __init__(self, chat_id, username=None):
        self.chat_id = chat_id
        self.username = username
        self.token = secrets.token_urlsafe()
