import json
import click

@click.command()
@click.argument('token')
@click.argument('host')
@click.argument('db_connection_string', default='sqlite:///test.db')
def make_config(token, host, db_connection_string='sqlite:///test.db'):
    bare_config = {'bot': {'token': token, 'base_url': host}, 'SQLALCHEMY_DATABASE_URI': db_connection_string}
    with open('config.json', 'w') as f:
        f.write(json.dumps(bare_config, indent=2, sort_keys=True))

    from main import db
    db.create_all()

if __name__ == '__main__':
    make_config()
